import { ACCOUNTS_DASHBOARD, useTranslation } from 'core/i18n';

export type TypeProfilePageLocale = {
  updateSuccess: string;
  updateError: string;
  userProfile: string;
};

export const useProfilePageLocale = (): TypeProfilePageLocale => {
  const { t } = useTranslation([ACCOUNTS_DASHBOARD]);

  return {
    updateSuccess: t('accounts_dashboard:app.accounts_dashboard.updateSuccess'),
    updateError: t('accounts_dashboard:app.accounts_dashboard.updateError'),
    userProfile: t('accounts_dashboard:app.accounts_dashboard.userProfile'),
  };
};
